@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  jgnash-fx startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and JGNASH_FX_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\jgnash-fx-2.36.2.jar;%APP_HOME%\lib\jgnash-convert-2.36.2.jar;%APP_HOME%\lib\jgnash-report-core-2.36.2.jar;%APP_HOME%\lib\jgnash-core-2.36.2.jar;%APP_HOME%\lib\jgnash-plugin-2.36.2.jar;%APP_HOME%\lib\picocli-3.5.2.jar;%APP_HOME%\lib\jgnash-resources-2.36.2.jar;%APP_HOME%\lib\slf4j-jdk14-1.8.0-beta2.jar;%APP_HOME%\lib\hibernate-hikaricp-5.4.1.Final.jar;%APP_HOME%\lib\HikariCP-3.3.1.jar;%APP_HOME%\lib\slf4j-api-1.8.0-beta2.jar;%APP_HOME%\lib\hibernate-entitymanager-5.4.1.Final.jar;%APP_HOME%\lib\h2-1.4.197.jar;%APP_HOME%\lib\hsqldb-2.4.1.jar;%APP_HOME%\lib\xstream-hibernate-1.4.11.1.jar;%APP_HOME%\lib\xstream-1.4.11.1.jar;%APP_HOME%\lib\netty-codec-4.1.33.Final.jar;%APP_HOME%\lib\poi-ooxml-4.0.0.jar;%APP_HOME%\lib\jgnash-bayes-2.36.2.jar;%APP_HOME%\lib\commons-csv-1.6.jar;%APP_HOME%\lib\jasperreports-6.4.3.jar;%APP_HOME%\lib\itext-2.1.7.js6.jar;%APP_HOME%\lib\DynamicJasper-5.1.1.jar;%APP_HOME%\lib\hibernate-core-5.4.1.Final.jar;%APP_HOME%\lib\hibernate-commons-annotations-5.1.0.Final.jar;%APP_HOME%\lib\jboss-logging-3.3.2.Final.jar;%APP_HOME%\lib\dom4j-2.1.1.jar;%APP_HOME%\lib\javax.persistence-api-2.2.jar;%APP_HOME%\lib\byte-buddy-1.9.5.jar;%APP_HOME%\lib\jboss-transaction-api_1.2_spec-1.1.1.Final.jar;%APP_HOME%\lib\netty-transport-4.1.33.Final.jar;%APP_HOME%\lib\netty-buffer-4.1.33.Final.jar;%APP_HOME%\lib\netty-resolver-4.1.33.Final.jar;%APP_HOME%\lib\netty-common-4.1.33.Final.jar;%APP_HOME%\lib\poi-4.0.0.jar;%APP_HOME%\lib\poi-ooxml-schemas-4.0.0.jar;%APP_HOME%\lib\commons-compress-1.18.jar;%APP_HOME%\lib\curvesapi-1.04.jar;%APP_HOME%\lib\bcmail-jdk15on-1.52.jar;%APP_HOME%\lib\bcpkix-jdk15on-1.52.jar;%APP_HOME%\lib\bcprov-jdk15on-1.52.jar;%APP_HOME%\lib\commons-digester-2.1.jar;%APP_HOME%\lib\commons-beanutils-1.9.3.jar;%APP_HOME%\lib\commons-collections-3.2.2.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\ecj-4.4.2.jar;%APP_HOME%\lib\icu4j-57.1.jar;%APP_HOME%\lib\commons-collections4-4.2.jar;%APP_HOME%\lib\javassist-3.24.0-GA.jar;%APP_HOME%\lib\antlr-2.7.7.jar;%APP_HOME%\lib\jandex-2.0.5.Final.jar;%APP_HOME%\lib\classmate-1.3.4.jar;%APP_HOME%\lib\jaxb-runtime-2.3.1.jar;%APP_HOME%\lib\jaxb-api-2.3.1.jar;%APP_HOME%\lib\javax.activation-api-1.2.0.jar;%APP_HOME%\lib\commons-codec-1.10.jar;%APP_HOME%\lib\xmlbeans-3.0.1.jar;%APP_HOME%\lib\txw2-2.3.1.jar;%APP_HOME%\lib\istack-commons-runtime-3.0.7.jar;%APP_HOME%\lib\stax-ex-1.8.jar;%APP_HOME%\lib\FastInfoset-1.2.15.jar

@rem Execute jgnash-fx
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %JGNASH_FX_OPTS%  -classpath "%CLASSPATH%" jGnashFx %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable JGNASH_FX_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%JGNASH_FX_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
